concurrent-1.3.4-294.2.noarch.rpm


Advertisement

Description

concurrent - Utility Classes for Concurrent Java Programming

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename concurrent-1.3.4-294.2.noarch.rpm
Package name concurrent
Package version 1.3.4
Package release 294.2
Package architecture noarch
Package type rpm
Category Development/Libraries/Java
Homepage http://gee.cs.oswego.edu/dl/classes/EDU/oswego/cs/dl/util/concurrent/
License SUSE-Public-Domain
Maintainer -
Download size 287.91 KB
Installed size 317.52 KB
This package provides standardized, efficient versions of utility
classes commonly encountered in concurrent Java programming. This code
consists of implementations of ideas that have been around for ages and
is merely intended to save you the trouble of coding them. Discussions
of the rationale and application of several of these classes can be
found in the second edition of Concurrent Programming in Java.

Alternatives

Package Version Architecture Repository
concurrent-1.3.4-572.4.noarch.rpm 1.3.4 noarch JAVA
concurrent - - -

Provides

Name Value
concurrent = 1.3.4-294.2

Obsoletes

Name Value
concurrent-javadoc -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package concurrent-1.3.4-294.2.noarch.rpm
Source Package concurrent-1.3.4-294.2.src.rpm

Install Howto

Install concurrent rpm package:

# zypper install concurrent

Files

Path
/usr/share/java/concurrent-1.3.4.jar
/usr/share/java/concurrent.jar

Changelog

2018-05-16 - fstrba@suse.com
- Build with source and target 8 to prepare for a possible removal
of 1.6 compatibility
2017-09-14 - fstrba@suse.com
- Allow building with other JDK then gcj
- Build with java source and target level 1.6 in order to allow
building with jdk9
- Added patch:
* concurrent-jdk8.patch
+ Fix a name clash that exist from jdk8
2017-05-20 - tchvatal@suse.com
- Fix building with java properly, use gcj as anything newer fails
to compile this
2006-09-25 - skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
2006-01-25 - mls@suse.de
- converted neededforbuild to BuildRequires
2005-07-27 - jsmeix@suse.de
- Adjustments in the spec file.
2005-07-19 - jsmeix@suse.de
- Current version 1.3.4 from JPackage.org
2005-02-18 - skh@suse.de
- update to version 1.3.4
- don't use icecream
2004-09-16 - skh@suse.de
- Fix prerequires of javadoc subpackage
2004-09-06 - skh@suse.de
- Initial package created with version 1.3.2 (JPackage 1.5)

See Also

Package Description
conkeror-1.0.4-1.4.i586.rpm Keyboard-oriented customizable and extensible web browser
conkeror-1.0.4-1.4.x86_64.rpm Keyboard-oriented customizable and extensible web browser
conky-1.10.8-1.4.i586.rpm Lightweight System Monitor
conky-1.10.8-1.4.x86_64.rpm Lightweight System Monitor
conky-doc-1.10.8-1.4.i586.rpm Documentation for conky
conky-doc-1.10.8-1.4.x86_64.rpm Documentation for conky
conman-0.3.0-1.2.i586.rpm The Console Manager
conman-0.3.0-1.2.x86_64.rpm The Console Manager
connman-1.35-3.4.i586.rpm Connection Manager
connman-1.35-3.4.x86_64.rpm Connection Manager
connman-client-1.35-3.4.i586.rpm Client script for connman (Connection Manager)
connman-client-1.35-3.4.x86_64.rpm Client script for connman (Connection Manager)
connman-devel-1.35-3.4.i586.rpm Development files for Connection Manager
connman-devel-1.35-3.4.x86_64.rpm Development files for Connection Manager
connman-doc-1.35-3.4.i586.rpm Connman reference man pages
Advertisement
Advertisement